Page MenuHomePhabricator

[CUDA] Add __device__ overloads for placement new and delete.
ClosedPublic

Authored by jlebar on Aug 6 2016, 12:36 PM.

Details

Summary

Previously these sort of worked because they didn't end up resulting in
calls at the ptx layer. But I'm adding stricter checks that break
placement new without these changes.

Diff Detail

Repository
rL LLVM

Event Timeline

jlebar updated this revision to Diff 67080.Aug 6 2016, 12:36 PM
jlebar retitled this revision from to [CUDA] Add __device__ overloads for placement new and delete..
jlebar updated this object.
jlebar added a reviewer: tra.
jlebar added a subscriber: cfe-commits.
tra edited edge metadata.Aug 8 2016, 11:04 AM

I think we need to add noexcept for these in c++11.

jlebar updated this revision to Diff 67282.Aug 8 2016, 9:28 PM
jlebar edited edge metadata.

Add noexcept.

jlebar added a comment.Aug 8 2016, 9:28 PM
In D23239#508863, @tra wrote:

I think we need to add noexcept for these in c++11.

Argh, you are completely right.

Thank you for the review.

tra accepted this revision.Aug 9 2016, 10:00 AM
tra edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Aug 9 2016, 10:00 AM
This revision was automatically updated to reflect the committed changes.